#include "crash82.inc"
.DB "Patch #00 Light",0		; I will name this Patch #00 since it is the first patch

	ROM_CALL(CLEARLCD)	; Clear ONLY the screen
	LD	HL, $8FF6	; This is the address of the instruction to change (SRL A)
	LD	A, (HL)		; Load the value for this instruction (SRL A)
	CP	$C9		; If it is not $C9 ($C9 = RET) then change it.
	JR	NZ, FIX		; Go fix it to $C9
	LD	HL, ERROR	; This means it is already fixed and we need not touch it
	ROM_CALL(D_ZT_STR)	; Display the error message (Zero Terminated)
	JR	END		; Go end the program
FIX:
	LD	A, $C9		; $C9 is the opcode for the RET instruction
	LD	($8FF6), A	; $8FF6 is the location to insert the byte
	LD	HL, ERROR-1	; $18 is the length of the message to display
	ROM_CALL(D_LT_STR)	; Display the message (Length Terminated)
END:
	CALL	CR_KHAND	; Sit and wait here until the user presses a key
	RET			; Quit the program when the user does press a key

	.DB $18			; Address of ERROR+$18 is where this message ends
ERROR:
	; ** 1234567890123456	The screen is 16 spaces wide
	.DB "CrASH has been  "
	.DB "modified already",$00
.end